summaryrefslogtreecommitdiffhomepage
path: root/scripts/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/common.sh')
-rwxr-xr-xscripts/common.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/scripts/common.sh b/scripts/common.sh
index 3ca699e4a..36158654f 100755
--- a/scripts/common.sh
+++ b/scripts/common.sh
@@ -42,6 +42,15 @@ function test_runsc() {
test --test_arg=--runtime=${RUNTIME} "$@"
}
+function benchmark_runsc() {
+ test_runsc -c opt \
+ --nocache_test_results \
+ --test_arg=-test.bench=. \
+ --test_arg=-test.benchmem \
+ --jobs=1 \
+ "$@"
+}
+
function install_runsc_for_test() {
local -r test_name=$1
shift
@@ -63,6 +72,24 @@ function install_runsc_for_test() {
"$@"
}
+function install_runsc_for_benchmarks() {
+ local -r test_name=$1
+ shift
+ if [[ -z "${test_name}" ]]; then
+ echo "Missing mandatory test name"
+ exit 1
+ fi
+
+ # Add test to the name, so it doesn't conflict with other runtimes.
+ set_runtime $(find_branch_name)_"${test_name}"
+
+ # ${RUNSC_TEST_NAME} is set by tests (see dockerutil) to pass the test name
+ # down to the runtime.
+ install_runsc "${RUNTIME}" \
+ --TESTONLY-test-name-env=RUNSC_TEST_NAME \
+ "$@"
+}
+
# Installs the runsc with given runtime name. set_runtime must have been called
# to set runtime and logs location.
function install_runsc() {